| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
SequentialOutputStream Class Reference

Extension of OutputStream to write run records after last event. More...

`#include <src/PersistencySvc/SequentialOutputStream.h>`

Inheritance diagram for SequentialOutputStream:
[legend]
Collaboration diagram for SequentialOutputStream:
[legend]

## Public Member Functions
| SequentialOutputStream (const std::string &nam, ISvcLocator *svc)
| Standard algorithm Constructor. More...
| ~SequentialOutputStream () override=default
| Standard Destructor. More...
StatusCode | execute () override
Public Member Functions inherited from OutputStream
| OutputStream (const std::string &name, ISvcLocator *pSvcLocator)
| Standard algorithm Constructor. More...
virtual | ~OutputStream ()=default
| Standard Destructor. More...
StatusCode | initialize () override
| Initialize OutputStream. More...
StatusCode | finalize () override
| Terminate OutputStream. More...
StatusCode | execute () override
| Working entry point. More...
virtual StatusCode | connectConversionSvc ()
virtual bool | collect (IRegistry *dir, int level)
| Store agent's classback. More...
virtual StatusCode | collectObjects ()
| Collect all objects to be written to the output stream. More...
void | clearSelection ()
| Clear list of selected objects. More...
Public Member Functions inherited from Algorithm
| Algorithm (const std::string &name, ISvcLocator *svcloc, const std::string &version=PACKAGE_VERSION)
| Constructor. More...
| ~Algorithm () override=default
| Destructor. More...
StatusCode | sysStart () override
| Reinitialization method invoked by the framework. More...
StatusCode | sysInitialize () override
| Initialization method invoked by the framework. More...
StatusCode | sysReinitialize () override
| Reinitialization method invoked by the framework. More...
StatusCode | sysRestart () override
| Restart method invoked by the framework. More...
StatusCode | sysExecute () override
| The actions to be performed by the algorithm on an event. More...
StatusCode | sysStop () override
| System stop. More...
StatusCode | sysFinalize () override
| System finalization. More...
StatusCode | sysBeginRun () override
| beginRun method invoked by the framework. More...
StatusCode | sysEndRun () override
| endRun method invoked by the framework. More...
const std::string & | name () const override
| The identifying name of the algorithm object. More...
const Gaudi::StringKey & | nameKey () const override
const std::string & | type () const override
| The type of the algorithm object. More...
void | setType (const std::string &type) override
const std::string & | version () const override
unsigned int | index () const override
StatusCode | configure () override
| Dummy implementation of IStateful::configure() method. More...
StatusCode | terminate () override
| Dummy implementation of IStateful::terminate() method. More...
StatusCode | initialize () override
| the default (empty) implementation of IStateful::initialize() method More...
StatusCode | start () override
| the default (empty) implementation of IStateful::start() method More...
StatusCode | stop () override
| the default (empty) implementation of IStateful::stop() method More...
StatusCode | finalize () override
| the default (empty) implementation of IStateful::finalize() method More...
StatusCode | reinitialize () override
| the default (empty) implementation of IStateful::reinitialize() method More...
StatusCode | restart () override
| the default (empty) implementation of IStateful::restart() method More...
Gaudi::StateMachine::State | FSMState () const override
| returns the current state of the algorithm More...
Gaudi::StateMachine::State | targetFSMState () const override
| returns the state the algorithm will be in after the ongoing transition More...
bool | isExecuted () const override
| Has this algorithm been executed since the last reset? More...
void | setExecuted (bool state) override
| Set the executed flag to the specified state. More...
void | resetExecuted () override
| Reset the executed state of the Algorithm for the duration of the current event. More...
StatusCode | beginRun () override
| Algorithm begin run. More...
StatusCode | endRun () override
| Algorithm end run. This method is called at the end of the event loop. More...
bool | isEnabled () const override
| Is this algorithm enabled or disabled? More...
bool | filterPassed () const override
| Did this algorithm pass or fail its filter criterion for the last event? More...
void | setFilterPassed (bool state) override
| Set the filter passed flag to the specified state. More...
int | errorCount () const
| Get the number of failures of the algorithm. More...
template<class T >
StatusCode | service (const std::string &name, T *&psvc, bool createIf=true) const
| Access a service by name, creating it if it doesn't already exist. More...
template<class T >
StatusCode | service (const std::string &svcType, const std::string &svcName, T *&psvc) const
| Access a service by name and type, creating it if it doesn't already exist. More...
SmartIF< IService > | service (const std::string &name, const bool createIf=true, const bool quiet=false) const
| Return a pointer to the service identified by name (or "type/name") More...
template<class T >
SmartIF< T > | service (const std::string &name, bool createIf=true, bool quiet=false) const
SmartIF< IAuditorSvc > & | auditorSvc () const
| The standard auditor service.May not be invoked before sysInitialize() has been invoked. More...
SmartIF< IChronoStatSvc > & | chronoSvc () const
| The standard Chrono & Stat service, Return a pointer to the service if present. More...
SmartIF< IChronoStatSvc > & | chronoStatService () const
| Obsoleted name, kept due to the backwards compatibility. More...
SmartIF< IDataProviderSvc > & | detSvc () const
| The standard detector data service. More...
SmartIF< IDataProviderSvc > & | detDataService () const
| Obsoleted name, kept due to the backwards compatibility. More...
SmartIF< IConversionSvc > & | detCnvSvc () const
| The standard detector data persistency conversion service. More...
SmartIF< IConversionSvc > & | detDataCnvService () const
| Obsoleted name, kept due to the backwards compatibility. More...
SmartIF< IDataProviderSvc > & | eventSvc () const
| The standard event data service. More...
SmartIF< IDataProviderSvc > & | evtSvc () const
| shortcut for method eventSvc More...
SmartIF< IDataProviderSvc > & | eventDataService () const
| Obsoleted name, kept due to the backwards compatibility. More...
SmartIF< IConversionSvc > & | eventCnvSvc () const
| The standard event data persistency conversion service. More...
SmartIF< IConversionSvc > & | eventDataCnvService () const
| Obsoleted name, kept due to the backwards compatibility. More...
SmartIF< IHistogramSvc > & | histoSvc () const
| The standard histogram service. More...
SmartIF< IHistogramSvc > & | histogramDataService () const
| Obsoleted name, kept due to the backwards compatibility. More...
SmartIF< INTupleSvc > & | ntupleSvc () const
| The standard N tuple service. More...
SmartIF< INTupleSvc > & | ntupleService () const
| Obsoleted name, kept due to the backwards compatibility. More...
SmartIF< IRndmGenSvc > & | randSvc () const
| AIDA-based NTuple service Returns a pointer to the AIDATuple service if present. More...
SmartIF< IToolSvc > & | toolSvc () const
| The standard ToolSvc service, Return a pointer to the service if present. More...
SmartIF< IExceptionSvc > & | exceptionSvc () const
| Get the exception Service. More...
SmartIF< IAlgContextSvc > & | contextSvc () const
| get Algorithm Context Service More...
SmartIF< ITimelineSvc > & | timelineSvc () const
SmartIF< ISvcLocator > & | serviceLocator () const override
| The standard service locator. More...
SmartIF< ISvcLocator > & | svcLoc () const
| shortcut for method serviceLocator More...
SmartIF< IHiveWhiteBoard > & | whiteboard () const
bool | registerContext () const
| register for Algorithm Context Service? More...
StatusCode | createSubAlgorithm (const std::string &type, const std::string &name, Algorithm *&pSubAlg)
| Create a sub algorithm. More...
const std::vector< Algorithm * > * | subAlgorithms () const
| List of sub-algorithms. Returns a pointer to a vector of (sub) Algorithms. More...
std::vector< Algorithm * > * | subAlgorithms ()
| List of sub-algorithms. Returns a pointer to a vector of (sub) Algorithms. More...
StatusCode | setProperty (const Property &p) override
| Implementation of IProperty::setProperty. More...
StatusCode | setProperty (const std::string &s) override
| Implementation of IProperty::setProperty. More...
StatusCode | setProperty (const std::string &n, const std::string &v) override
| Implementation of IProperty::setProperty. More...
StatusCode | getProperty (Property *p) const override
| Implementation of IProperty::getProperty. More...
const Property & | getProperty (const std::string &name) const override
| Implementation of IProperty::getProperty. More...
StatusCode | getProperty (const std::string &n, std::string &v) const override
| Implementation of IProperty::getProperty. More...
const std::vector< Property * > & | getProperties () const override
| Implementation of IProperty::getProperties. More...
bool | hasProperty (const std::string &name) const override
| Implementation of IProperty::hasProperty. More...
PropertyMgr * | getPropertyMgr ()
StatusCode | setProperties ()
| Set the algorithm's properties. More...
template<class T >
Property * | declareProperty (const std::string &name, T &property, const std::string &doc="none") const
| Declare the named property. More...
Property * | declareRemoteProperty (const std::string &name, IProperty *rsvc, const std::string &rname="") const
| Declare remote named properties. More...
template<class T >
Property * | declareProperty (const std::string &name, ToolHandle< T > &hndl, const std::string &doc="none") const
template<class T >
Property * | declareProperty (const std::string &name, ToolHandleArray< T > &hndlArr, const std::string &doc="none") const
SmartIF< IMonitorSvc > & | monitorSvc () const
| Access the monitor service. More...
template<class T >
void | declareInfo (const std::string &name, const T &var, const std::string &desc) const
| Declare monitoring information. More...
void | declareInfo (const std::string &name, const std::string &format, const void *var, int size, const std::string &desc) const
| Declare monitoring information (special case) More...
template<class TYPE >
StatusCode | setProperty (const std::string &name, const TYPE &value)
| set the property form the value More...
EventContext * | getContext () const
| get the context More...
void | setContext (EventContext *context)
| set the context More...
virtual std::vector< Gaudi::DataHandle * > | inputHandles () const override
virtual std::vector< Gaudi::DataHandle * > | outputHandles () const override
virtual const DataObjIDColl & | extraInputDeps () const override
virtual const DataObjIDColl & | extraOutputDeps () const override
virtual void | acceptDHVisitor (IDataHandleVisitor *) const override
const DataObjIDColl & | inputDataObjs () const
const DataObjIDColl & | outputDataObjs () const
void | commitHandles () override
void | registerTool (IAlgTool *tool) const
void | deregisterTool (IAlgTool *tool) const
template<class T >
StatusCode | declareTool (ToolHandle< T > &handle, std::string toolTypeAndName="", bool createIf=true)
const std::vector< IAlgTool * > & | tools () const
bool | isClonable () const override
| Specifies the clonability of the algorithm. More...
unsigned int | cardinality () const override
| Return the cardinality. More...
const std::vector< std::string > & | neededResources () const override
Public Member Functions inherited from CommonMessagingBase
virtual | ~CommonMessagingBase ()=default
| Virtual destructor. More...
SmartIF< IMessageSvc > & | msgSvc () const
| The standard message service. More...
MsgStream & | msgStream () const
| Return an uninitialized MsgStream. More...
MsgStream & | msgStream (const MSG::Level level) const
| Predefined configurable message stream for the efficient printouts. More...
MsgStream & | always () const
| shortcut for the method msgStream(MSG::ALWAYS) More...
MsgStream & | fatal () const
| shortcut for the method msgStream(MSG::FATAL) More...
MsgStream & | err () const
| shortcut for the method msgStream(MSG::ERROR) More...
MsgStream & | error () const
| shortcut for the method msgStream(MSG::ERROR) More...
MsgStream & | warning () const
| shortcut for the method msgStream(MSG::WARNING) More...
MsgStream & | info () const
| shortcut for the method msgStream(MSG::INFO) More...
MsgStream & | debug () const
| shortcut for the method msgStream(MSG::DEBUG) More...
MsgStream & | verbose () const
| shortcut for the method msgStream(MSG::VERBOSE) More...
MsgStream & | msg () const
| shortcut for the method msgStream(MSG::INFO) More...
MSG::Level | msgLevel () const
| get the output level from the embedded MsgStream More...
MSG::Level | outputLevel () const __attribute__((deprecated))
| Backward compatibility function for getting the output level. More...
bool | msgLevel (MSG::Level lvl) const
| get the output level from the embedded MsgStream More...

## Protected Member Functions
StatusCode | writeObjects () override
| OutputStream override: Select the different objects and write them to file. More...
Protected Member Functions inherited from OutputStream
StatusCode | decodeAcceptAlgs ()
| Decode list of Algorithms that this stream accepts. More...
void | acceptAlgsHandler (Property &theProp)
| Handler for AcceptAlgs Property. More...
StatusCode | decodeRequireAlgs ()
| Decode list of Algorithms that this stream requires. More...
void | requireAlgsHandler (Property &theProp)
| Handler for RequireAlgs Property. More...
StatusCode | decodeVetoAlgs ()
| Decode list of Algorithms that this stream is vetoed by. More...
void | vetoAlgsHandler (Property &theProp)
| Handler for VetoAlgs Property. More...
Algorithm * | decodeAlgorithm (const std::string &theName)
| Decode a single algorithm name. More...
StatusCode | decodeAlgorithms (StringArrayProperty &theNames, std::vector< Algorithm * > &theAlgs)
| Decode specified list of Algorithms. More...
bool | isEventAccepted () const
| Test whether this event should be output. More...
DataStoreItem * | findItem (const std::string &path)
| Find single item identified by its path (exact match) More...
virtual bool | hasInput () const
| Tell if the instance has been configured with input items or not. More...
Protected Member Functions inherited from Algorithm
virtual void | declareInput (Gaudi::DataHandle *im) override
virtual void | declareOutput (Gaudi::DataHandle *im) override
std::vector< IAlgTool * > & | tools ()
bool | isInitialized () const override
| Has the Algorithm already been initialized? More...
bool | isFinalized () const override
| Has the Algorithm already been finalized? More...
void | setIndex (const unsigned int &idx) override
| set instantiation index of Alg More...
Protected Member Functions inherited from CommonMessaging< implements< IAlgorithm, IDataHandleHolder, IProperty, IStateful > >
void | updateMsgStreamOutputLevel (int level)
| Update the output level of the cached MsgStream. More...

## Private Member Functions
void | makeFilename ()

## Private Attributes
unsigned int | m_eventsPerFile
unsigned int | m_nNumbersAdded
bool | m_numericFilename
unsigned int | m_events = 0
unsigned int | m_iFile = 1

## Additional Inherited Members
Public Types inherited from OutputStream
typedef std::vector< DataStoreItem * > | Items
typedef std::vector< std::string > | ItemNames
typedef std::map< Algorithm *, Items > | AlgDependentItems
typedef std::map< std::string, ItemNames > | AlgDependentItemNames
Public Types inherited from Algorithm
typedef Gaudi::PluginService::Factory< IAlgorithm *, const std::string &, ISvcLocator * > | Factory
Public Types inherited from CommonMessaging< implements< IAlgorithm, IDataHandleHolder, IProperty, IStateful > >
using | base_class = CommonMessaging
Protected Attributes inherited from OutputStream
SmartIF< IIncidentSvc > | m_incidentSvc
| Reference to the incident service. More...
bool | m_doPreLoad
| Flag indicating whether data pre-loading should be performed. More...
bool | m_doPreLoadOpt
| Flag indicating whether optional items should be preloaded. More...
bool | m_verifyItems
| Flag to indicate that item consistency should be checked. More...
std::string | m_storeName
| Name of the service managing the data store. More...
std::string | m_persName
| Name of the persistency service capable to write data from the store. More...
std::string | m_output
| Name of the output file specification. More...
std::string | m_outputName
| Name of the output file. More...
std::string | m_outputType
| Output type: NEW(NEW,CREATE,WRITE,RECREATE), UPDATE) More...
std::unique_ptr< OutputStreamAgent > | m_agent
| Keep reference of agent. More...
SmartIF< IDataProviderSvc > | m_pDataProvider
| Keep reference to the data provider service. More...
SmartIF< IDataManagerSvc > | m_pDataManager
| Keep reference to the data manager service. More...
SmartIF< IConversionSvc > | m_pConversionSvc
| Keep reference to the data conversion service. More...
DataStoreItem * | m_currentItem
| Keep track of the current item. More...
ItemNames | m_itemNames
| Vector of item names. More...
Items | m_itemList
| Vector of items to be saved to this stream. More...
ItemNames | m_optItemNames
| Vector of item names. More...
Items | m_optItemList
| Vector of optional items to be saved to this stream. More...
AlgDependentItemNames | m_algDependentItemList
| Mapping between algorithm names, and a list of items for which, if the algorithm in question accepted the event, they should be also stored. More...
AlgDependentItems | m_algDependentItems
| Items to be saved for specific algorithms. More...
IDataSelector | m_objects
| Collection of objects being selected. More...
int | m_events
| Number of events written to this output stream. More...
StringArrayProperty | m_acceptNames
| Vector of names of Algorithms that this stream accepts. More...
StringArrayProperty | m_requireNames
| Vector of names of Algorithms that this stream requires. More...
StringArrayProperty | m_vetoNames
| Vector of names of Algorithms that this stream is vetoed by. More...
std::vector< Algorithm * > | m_acceptAlgs
| Vector of Algorithms that this stream accepts. More...
std::vector< Algorithm * > | m_requireAlgs
| Vector of Algorithms that this stream requires. More...
std::vector< Algorithm * > | m_vetoAlgs
| Vector of Algorithms that this stream is vetoed by. More...
bool | m_fireIncidents
| should I fire incidents for writing opening/closing etc? More...
Protected Attributes inherited from Algorithm
EventContext * | m_event_context
| Event specific data for multiple event processing. More...
SmartIF< PropertyMgr > | m_propertyMgr
| For management of properties. More...
std::unique_ptr< IDataHandleVisitor > | m_updateDataHandles
| Hook for for derived classes to provide a custom visitor for data handles. More...

## Detailed Description

Extension of OutputStream to write run records after last event.

Author
  M.Frank

Version
  1.0

Definition at line 14 of file SequentialOutputStream.h.

## Constructor & Destructor Documentation

SequentialOutputStream::SequentialOutputStream | ( | const std::string & | nam,
|  | ISvcLocator * | svc
| ) |  |

Standard algorithm Constructor.

Definition at line 24 of file SequentialOutputStream.cpp.

26 : OutputStream( name, svc )
27 {
28 declareProperty( "EventsPerFile", m_eventsPerFile
29 = std::numeric_limits< unsigned int>::max() );
30 declareProperty( "NumericFilename", m_numericFilename = false );
31 declareProperty( "NumbersAdded", m_nNumbersAdded = 6 );
32 }
Algorithm::declareProperty
Property * declareProperty(const std::string &name, T &property, const std::string &doc="none") const
Declare the named property.
Definition: Algorithm.h:426
Algorithm::name
const std::string & name() const override
The identifying name of the algorithm object.
Definition: Algorithm.cpp:820
OutputStream::OutputStream
OutputStream(const std::string &name, ISvcLocator *pSvcLocator)
Standard algorithm Constructor.
Definition: OutputStream.cpp:30
SequentialOutputStream::m_numericFilename
bool m_numericFilename
Definition: SequentialOutputStream.h:35
SequentialOutputStream::m_nNumbersAdded
unsigned int m_nNumbersAdded
Definition: SequentialOutputStream.h:34
SequentialOutputStream::m_eventsPerFile
unsigned int m_eventsPerFile
Definition: SequentialOutputStream.h:33
std::numeric_limits

SequentialOutputStream::~SequentialOutputStream | ( |  | ) |
| override default

Standard Destructor.

## Member Function Documentation

StatusCode SequentialOutputStream::execute | ( |  | ) |
| override

Definition at line 47 of file SequentialOutputStream.cpp.

48 {
49 // Clear any previously existing item list
50 clearSelection();
51 // Test whether this event should be output
52 if ( isEventAccepted() ) {
53 StatusCode sc = writeObjects();
54 clearSelection();
55 ++m_events;
56 return sc;
57 }
58 return StatusCode::SUCCESS;
59 }
OutputStream::isEventAccepted
bool isEventAccepted() const
Test whether this event should be output.
Definition: OutputStream.cpp:609
SequentialOutputStream::m_events
unsigned int m_events
Definition: SequentialOutputStream.h:38
SequentialOutputStream::writeObjects
StatusCode writeObjects() override
OutputStream override: Select the different objects and write them to file.
Definition: SequentialOutputStream.cpp:35
merge_files.sc
int sc
Definition: merge_files.py:167
StatusCode::SUCCESS
Definition: StatusCode.h:30
StatusCode
This class is used for returning status codes from appropriate routines.
Definition: StatusCode.h:26
OutputStream::clearSelection
void clearSelection()
Clear list of selected objects.
Definition: OutputStream.cpp:375

void SequentialOutputStream::makeFilename | ( |  | ) |
| private

Definition at line 62 of file SequentialOutputStream.cpp.

63 {
64 if ( m_events % m_eventsPerFile != 0 ) return;
65
66 bf::path outputPath( m_outputName );
67 string filename = outputPath.filename().string();
68 bf::path dir = outputPath.parent_path();
69 string stem = outputPath.stem().string();
70 string extension = outputPath.extension().string();
71
72 if ( !dir.empty() ) {
73 if ( !bf::exists( dir ) ) {
74 stringstream stream;
75 stream << "Directory " << dir << " does not exist.";
76 throw GaudiException( stream.str(), "error", StatusCode::FAILURE );
77 }
78 }
79
80 if ( m_numericFilename ) {
81 if ( m_events == 0 ) {
82 try {
83 m_iFile = std::stoul( stem );
84 } catch( const std::invalid_argument& /* cast */ ) {
85 string msg = "Filename " + filename
86 + " is not a number, which was needed.";
87 throw GaudiException( msg, "error", StatusCode::FAILURE );
88 }
89 }
90 string iFile = std::to_string(m_iFile);
91 unsigned int length = 0;
92
93 if ( stem.length() > iFile.length() ) {
94 length = stem.length() - iFile.length();
95 }
96
97 stringstream name;
98 if ( !dir.empty() ) name << dir << "/";
99 for ( unsigned int i = 0; i < length; ++i ) {
100 name << "0";
101 }
102 name << iFile << extension;
103 m_outputName = name.str();
104 } else {
105 if ( m_iFile != 1 ) {
106 size_t pos = stem.rfind( "_" );
107 stem = stem.substr( 0, pos );
108 }
109
110 string iFile = std::to_string(m_iFile);
111
112 unsigned int length = 0;
113 if ( m_nNumbersAdded > iFile.length() ) {
114 length = m_nNumbersAdded - iFile.length();
115 }
116
117 stringstream name;
118 name << dir << "/" << stem;
119 for ( unsigned int i = 0; i < length; ++i ) {
120 if ( i == 0 ) name << "_";
121 name << "0";
122 }
123 name << iFile << extension;
124 m_outputName = name.str();
125 }
126 ++m_iFile;
127 }
CommonMessagingBase::msg
MsgStream & msg() const
shortcut for the method msgStream(MSG::INFO)
Definition: CommonMessaging.h:133
GaudiException
Define general base for Gaudi exception.
Definition: GaudiException.h:23
SequentialOutputStream::m_events
unsigned int m_events
Definition: SequentialOutputStream.h:38
std::string::rfind
T rfind(T...args)
std::to_string
T to_string(T...args)
OutputStream::m_outputName
std::string m_outputName
Name of the output file.
Definition: OutputStream.h:51
graphanalysis.filename
string filename
Definition: graphanalysis.py:109
std::stringstream
STL class.
std::stoul
T stoul(T...args)
std::string::string
T string(T...args)
Algorithm::name
const std::string & name() const override
The identifying name of the algorithm object.
Definition: Algorithm.cpp:820
StatusCode::FAILURE
Definition: StatusCode.h:29
std::stringstream::str
T str(T...args)
SequentialOutputStream::m_iFile
unsigned int m_iFile
Definition: SequentialOutputStream.h:39
Gaudi::Utils::Histos::path
GAUDI_API std::string path(const AIDA::IBaseHistogram *aida)
get the path in THS for AIDA histogram
Definition: HistoTableFormat.cpp:191
std::string::length
T length(T...args)
std::string::substr
T substr(T...args)
SequentialOutputStream::m_numericFilename
bool m_numericFilename
Definition: SequentialOutputStream.h:35
SequentialOutputStream::m_nNumbersAdded
unsigned int m_nNumbersAdded
Definition: SequentialOutputStream.h:34
ana.i
list i
Definition: ana.py:128
std::invalid_argument
STL class.
SequentialOutputStream::m_eventsPerFile
unsigned int m_eventsPerFile
Definition: SequentialOutputStream.h:33

StatusCode SequentialOutputStream::writeObjects | ( |  | ) |
| override protected virtual

OutputStream override: Select the different objects and write them to file.

Reimplemented from OutputStream.

Definition at line 35 of file SequentialOutputStream.cpp.

36 {
37 try {
38 makeFilename();
39 } catch ( const GaudiException& except ) {
40 error() << except.message() << endmsg;
41 return StatusCode::FAILURE;
42 }
43 return OutputStream::writeObjects();
44 }
GaudiException::message
virtual const std::string & message() const
error message to be printed
Definition: GaudiException.h:111
GaudiException
Define general base for Gaudi exception.
Definition: GaudiException.h:23
SequentialOutputStream::makeFilename
void makeFilename()
Definition: SequentialOutputStream.cpp:62
OutputStream::writeObjects
virtual StatusCode writeObjects()
Select the different objects and write them to file.
Definition: OutputStream.cpp:199
CommonMessagingBase::error
MsgStream & error() const
shortcut for the method msgStream(MSG::ERROR)
Definition: CommonMessaging.h:118
StatusCode::FAILURE
Definition: StatusCode.h:29
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:244

## Member Data Documentation

unsigned int SequentialOutputStream::m_events = 0
| private

Definition at line 38 of file SequentialOutputStream.h.

unsigned int SequentialOutputStream::m_eventsPerFile
| private

Definition at line 33 of file SequentialOutputStream.h.

unsigned int SequentialOutputStream::m_iFile = 1
| private

Definition at line 39 of file SequentialOutputStream.h.

unsigned int SequentialOutputStream::m_nNumbersAdded
| private

Definition at line 34 of file SequentialOutputStream.h.

bool SequentialOutputStream::m_numericFilename
| private

Definition at line 35 of file SequentialOutputStream.h.

The documentation for this class was generated from the following files:

- GaudiCommonSvc/src/PersistencySvc/SequentialOutputStream.h
- GaudiCommonSvc/src/PersistencySvc/SequentialOutputStream.cpp